{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('property_vacancy_management/property_vacancy_report/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('property_vacancy_management/property_vacancy_report/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <a href="{{ path('property_vacancy_management_property_vacancy_report_report', {'propertyVacancyReportId': propertyVacancyReport.getId()}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center w-100">Leerstandsmeldung, {% if propertyVacancyReport.getIndustryClassification() %}{{ propertyVacancyReport.getIndustryClassification().getName() }}{% else %}Objekt{% endif %}{% if propertyVacancyReport.getPropertyUserCompanyName() %}, {% if propertyVacancyReport.isObjectIsEmpty() %}ehemals {% endif %}{{ propertyVacancyReport.getPropertyUserCompanyName() }}{% endif %} löschen</span>
        {{ form_widget(propertyVacancyReportDeleteForm.delete, {'label': 'LÖSCHEN', 'id': propertyVacancyReportDeleteForm.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg">
        <div class="mdc-card mt-4 p-4 mb-4">
            <h1 class="fs-4 d-flex align-items-center"><span class="material-icons me-2 text-danger">warning_amber</span>Die Meldung und alle verknüpften Daten werden unwiderruflich gelöscht.</h1>
            <p>
                Um die Meldung endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">meldung_{{ propertyVacancyReport.getId() }}</span>
            </p>
            {{ form_start(propertyVacancyReportDeleteForm, {'attr': {'id': propertyVacancyReportDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'property_vacancy_management/form/property_vacancy_report/property_vacancy_report_delete_form.html.twig' with {'form': propertyVacancyReportDeleteForm} only %}
            {{ form_row(propertyVacancyReportDeleteForm._token) }}
            {{ form_end(propertyVacancyReportDeleteForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}
